package com.prolog.cs.biz.inbound.service.impl.processor.enums;

/**
 * 收货类型策略枚举类
 * 
 * @author Xiong
 *
 */
public enum RcvTypeStrategyEnum {

	generalRcv("采购入库", "rcv_in_type01"), hostedRcv("代管入库", "rcv_in_type02");

	private String typeNmae;

	private String typeStrategy;

	private RcvTypeStrategyEnum(String typeNmae, String typeStrategy) {
		this.typeNmae = typeNmae;
		this.typeStrategy = typeStrategy;
	}

	public String getTypeNmae() {
		return typeNmae;
	}

	public void setTypeNmae(String typeNmae) {
		this.typeNmae = typeNmae;
	}

	public String getTypeStrategy() {
		return typeStrategy;
	}

	public void setTypeStrategy(String typeStrategy) {
		this.typeStrategy = typeStrategy;
	}

}
